Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc
Class JDBCEJBQLQuery

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.JDBCAbstractQueryCommand
          org.jboss.ejb.plugins.cmp.jdbc.JDBCEJBQLQuery

All Implemented Interfaces:
  JDBCQueryCommand

public final class JDBCEJBQLQuery
extends JDBCAbstractQueryCommand

This class generates a query from EJB-QL.

Version:
  $Revision: 1.16 $
Author:
  Dain Sundstrom, Alex Loubyansky

Nested Class Summary

Nested classes inherited from class org.jboss.ejb.plugins.cmp.jdbc.JDBCAbstractQueryCommand
`JDBCAbstractQueryCommand.LeftJoinCMRNode`

Field Summary

Fields inherited from class org.jboss.ejb.plugins.cmp.jdbc.JDBCAbstractQueryCommand
`log`

Constructor Summary
`JDBCEJBQLQuery(JDBCStoreManager manager, JDBCQueryMetaData q)`

Methods inherited from class org.jboss.ejb.plugins.cmp.jdbc.JDBCAbstractQueryCommand
`appendLeftJoinCMRColumnNames, execute, execute, getEagerLoadGroup, getEagerLoadMask, getLeftJoinCMRNodes, getLog, getSelectEntity, getSelectField, getSelectManager, leftJoinCMRNodes, parseParameters, setEagerLoadGroup, setLimitParam, setLimitValue, setOffsetParam, setOffsetValue, setOnFindCMRList, setParameterList, setSelectEntity, setSelectField, setSelectFunction, setSQL, toInt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCEJBQLQuery

    public JDBCEJBQLQuery(JDBCStoreManager manager,
                          JDBCQueryMetaData q)
                   throws org.jboss.deployment.DeploymentException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.